Bug 245349 - Compiz doesn't honor "switch to workspace <n>" keyboard shortcuts
Compiz doesn't honor "switch to workspace <n>" keyboard shortcuts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 11:38 EDT by Christopher Aillon
Modified: 2010-12-31 05:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:15:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2007-06-22 11:38:30 EDT
Description of problem:
* Using metacity:
* System>Preferences>Personal>Keyboard Shortcuts
* Set up keyboard shortcuts for "Switch to workspace <n>"
* Switch to compiz.
* The shortcuts no loner work and have been removed from the keyboard shortcuts
preferences.
Comment 1 Matěj Cepl 2007-11-26 12:43:32 EST
Caillon, is this still reproduceable with Rawhide? Works for me, here.
Comment 2 Christopher Aillon 2007-11-27 07:13:36 EST
It was still reproducible in test3.  After that, I haven't had a working compiz
so I don't know.
Comment 3 Bug Zapper 2008-04-04 08:51:15 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 JanS 2008-08-08 19:49:39 EDT
I have a same problem on Fedora 9 (up to date).
Shortcuts for "Rotate to Face <n>" in Rotate Cube doesn't work.


Of course good thing is that Compiz rewrites my shortcuts from System>Preferences>Personal>Keyboard Shortcuts > "Switch to workspace <n>"
to ccsm > Rotate Cube > Rotate to cube face > "Rotate to Face <n>"

but that's it. They dont work and after pressing them nothing happens.
Assigning new shortcuts wont work either.

Fedora 9 x86_64, driver intel, 945GM
compiz.x86_64                            0.7.6-2.fc9
Comment 5 David Juran 2008-08-25 13:56:58 EDT
For the record, this still doesn't work with compiz-0.7.6-9.fc10 in rawhide either.
Comment 6 JanS 2008-08-25 16:32:21 EDT
There is a working version of Compiz in compiz-fusion repository.

Maybe it is possible to incorporate this solution into rawhide?

To install it one should:

1. Remove everything from Fedora regarding compiz
# yum -y remove compiz

2. Download compiz-fusion repository from eg.
http://www.linux-ati-drivers.homecall.co.uk/compiz-fusion-release-1-5.noarch.rpm

3. Install repo
# rpm -Uvh compiz-fusion-release-1-5.noarch.rpm

4. Insatall from compiz-fusion repo 
a) for GNOME:
# yum -y install compiz-gnome fusion-icon-gtk compiz-fusion-plugins-unsupported compiz-fusion-plugins-extra compiz-bcop ccsm emerald-themes compizconfig-backend-gconf
b) for KDE:
yum -y install compiz-kde fusion-icon-qt compiz-fusion-plugins-unsupported compiz-fusion-plugins-extra compiz-bcop ccsm emerald-themes  compizconfig-backend-kconfig

5. To run Compiz efects one should run "Compiz Fusion Icon", from "Application" > "Stystem tools" every time he starts Gnome. Optionaly he could write fusion-icon into "System" > "Preferences" > "Personal" > "Sessions"
If there are problems (eg. white screen) when starting Compiz Fusion Icon, it means that graphics card does not have full direct rendering, and choosing "Indirect rendering" from "Compiz Fusion Icon" > "Compiz Options", fixes the problem.

6. Everything works fine from now! There is an extensive configuration avaliable from Compiz Fusion Icon located on notification area.

This bug, and others like it, in fusion does not exists.
Comment 7 Bug Zapper 2008-11-25 20:55:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 JanS 2009-03-15 08:44:17 EDT
Ping
Comment 10 Matěj Cepl 2009-11-17 07:00:38 EST
Switching incorrect assignees to the default one.
Comment 11 Bug Zapper 2009-11-18 07:19:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 David Juran 2009-11-30 13:48:47 EST
Still in compiz-0.8.2-19.fc12
Comment 13 Bug Zapper 2010-11-04 08:09:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-05 02:15:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 r6144 2010-12-31 05:06:14 EST
The bug still exists in compiz-0.8.6-6.fc14.x86_64.

Note You need to log in before you can comment on or make changes to this bug.